Dialogs module - Defect #562

Form in Dialog does not appear to work
Description

The replacement for the plugins.dialogs.xxx appear to work fine.

| am trying to use form in dialog in both smart and web client using same code.

The form that | have is already defined using the Servoy developer. | pass the form name to the
scopes.globals.DIALOGS.showFormIinModalDialog(...)

bit it gives an error saying form already exists and then an exception raised when attempting to do form.setupForm(...).
| found the cause and fixed in my copy. Basically the existing form was not extended properly due to naming issues.
Has anyone had this issue?

| can also check out the trunk and make a patch if anyone is interested.

History

#1 - 11/19/2012 08:11 PM - Patrick Talbot

Hi Tom,
| just hit the same issue. Could you submit a patch so that | can test it and integrate?
Thanks,
-Patrick

#2 - 11/20/2012 05:21 AM - Tom Parry
- File patch_mod_dialog_module.txt added

| have attached the patch that | made. | know it all works well in Smart client. Not sure if | fully tested or checked in web client. The changes | made
may have to be applied for the web client case. There were some changes made to the trunk after | took my copy a month ago so | hope that it
integrates ok.

#3 - 11/20/2012 05:48 AM - Patrick Talbot
Thanks Tom!

| will have a look, test on Smart and Web and integrate asap.

#4 - 11/20/2012 04:32 PM - Patrick Talbot

- Status changed from New to Closed

Patch integrated in v1.5.2 - fix for Web client added as well.
#5 - 11/20/2012 07:16 PM - Tom Parry

Great!

| will go and use this super new version in my app. | hope the web client changes were straight forward.
